## Icon Files Icon Files — icons related functions. |

## Stability Level

Unstable, unless otherwise indicated

## Functions

void | wnck_set_default_icon_size ()
void | wnck_set_default_mini_icon_size ()

## Types and Values

#define | WNCK_DEFAULT_ICON_SIZE
#define | WNCK_DEFAULT_MINI_ICON_SIZE

## Includes

    #include <libwnck/libwnck.h>

## Description

These functions are utility functions to manage icons for WnckWindow and WnckApplication.

## Functions

### wnck_set_default_icon_size ()

    void
    wnck_set_default_icon_size (gsize size);

The default main icon size is `WNCK_DEFAULT_ICON_SIZE`. This function allows to change this value.

#### Parameters

size | the default size for windows and application standard icons. |

Since: 2.4.6

### wnck_set_default_mini_icon_size ()

    void
    wnck_set_default_mini_icon_size (gsize size);

The default main icon size is `WNCK_DEFAULT_MINI_ICON_SIZE`. This function allows to change this value.

#### Parameters

size | the default size for windows and application mini icons. |

Since: 2.4.6

## Types and Values

### WNCK_DEFAULT_ICON_SIZE

    #define WNCK_DEFAULT_ICON_SIZE 32

### WNCK_DEFAULT_MINI_ICON_SIZE

    #define WNCK_DEFAULT_MINI_ICON_SIZE 16